Page MenuHomePhabricator

Use DiffQuery instead of direct hunk loads in MessageParser daemon
ClosedPublic

Authored by epriestley on May 25 2014, 3:24 PM.

Details

Summary

Ref T5179. Ref T4045. Continue reducing the number of direct hunk loads we perform.

Test Plan

Pushed a closing commit, used scripts/repository/reparse.php --message ... to trigger this logic, got a sensible/accurate result.

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

epriestley updated this revision to Diff 22053.May 25 2014, 3:24 PM
epriestley retitled this revision from to Use DiffQuery instead of direct hunk loads in MessageParser daemon.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
btrahan accepted this revision.Jun 3 2014, 10:11 PM
btrahan edited edge metadata.
This revision is now accepted and ready to land.Jun 3 2014, 10:11 PM
epriestley closed this revision.Jun 4 2014, 1:03 AM
epriestley updated this revision to Diff 22327.

Closed by commit rPcb58acbe5bcd (authored by @epriestley).